<?php

/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

use D3\MailConfigChecker\Application\Controller\Admin\MailCheckBase;
use D3\MailConfigChecker\Application\Controller\Admin\MailCheckMenu;
use D3\MailConfigChecker\Application\Controller\Admin\MailConfigCheck;
use D3\MailConfigChecker\Application\Controller\Admin\MailInfoPage;
use D3\MailConfigChecker\Application\Controller\Admin\MailTester;
use D3\MailConfigChecker\Application\Controller\Admin\SpfChecker;
use D3\MailConfigChecker\Application\Controller\Admin\SmtpChecker;

$sMetadataVersion = '2.1';

$sModuleId = 'd3mailconfigchecker';
$logo = '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em">';

/**
 * Module information
 */
$aModule = [
    'id'          => $sModuleId,
    'title'       => [
        'de' => $logo.' E-Mail Konfigurationspr&uuml;fung',
        'en' => $logo.' Mail Configuration Check Tool',
    ],
    'description' => [
        'de' => '',
        'en' => '',
    ],
    'thumbnail'   => 'picture.svg',
    'version'     => '1.0.0.0',
    'author'      => 'D&sup3; Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'https://www.oxidmodule.com/',
    'controllers' => [
        'd3mailcheck'       => MailCheckBase::class,
        'd3mailcheckmenu'   => MailCheckMenu::class,
        'd3mailinfopage'    => MailInfoPage::class,
        'd3mailconfigcheck' => MailConfigCheck::class,
        'd3smtpchecker'     => SmtpChecker::class,
        'd3spfchecker'      => SpfChecker::class,
        'd3mailtester'      => MailTester::class,
    ],
    'templates'   => [
      'mailCheckBase.tpl'   => 'd3/mailconfigchecker/Application/views/admin/tpl/mailcheckbase.tpl',
      'mailCheckMenu.tpl'   => 'd3/mailconfigchecker/Application/views/admin/tpl/mailcheckmenu.tpl',
      'mailInfoPage.tpl'    => 'd3/mailconfigchecker/Application/views/admin/tpl/mailinfopage.tpl',
      'mailConfigCheck.tpl' => 'd3/mailconfigchecker/Application/views/admin/tpl/mailconfigcheck.tpl',
      'smtpCheck.tpl'       => 'd3/mailconfigchecker/Application/views/admin/tpl/smtpCheck.tpl',
      'spfCheck.tpl'        => 'd3/mailconfigchecker/Application/views/admin/tpl/spfCheck.tpl',
      'mailTester.tpl'      => 'd3/mailconfigchecker/Application/views/admin/tpl/mailTester.tpl',
      'inc_bootstrap.tpl'   => 'd3/mailconfigchecker/Application/views/admin/tpl/inc/bootstrap.tpl',
    ],
];
